From 73f85cc634d85e82dc6cd38945c492fb0389fe94 Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Thu, 11 Apr 2024 07:04:28 +0000
Subject: [PATCH v1] Use correct datatype for xmin variables added by 818fefd8

---
 src/backend/replication/slot.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/replication/slot.c b/src/backend/replication/slot.c
index 3bddaae022..cebf44bb0f 100644
--- a/src/backend/replication/slot.c
+++ b/src/backend/replication/slot.c
@@ -1545,8 +1545,8 @@ InvalidatePossiblyObsoleteSlot(ReplicationSlotInvalidationCause cause,
 	int			last_signaled_pid = 0;
 	bool		released_lock = false;
 	bool		terminated = false;
-	XLogRecPtr	initial_effective_xmin = InvalidXLogRecPtr;
-	XLogRecPtr	initial_catalog_effective_xmin = InvalidXLogRecPtr;
+	TransactionId initial_effective_xmin = InvalidTransactionId;
+	TransactionId initial_catalog_effective_xmin = InvalidTransactionId;
 	XLogRecPtr	initial_restart_lsn = InvalidXLogRecPtr;
 	ReplicationSlotInvalidationCause invalidation_cause_prev PG_USED_FOR_ASSERTS_ONLY = RS_INVAL_NONE;
 
-- 
2.34.1

